//-----------------------------
// Lunbase blue light fixtures
//-----------------------------
textures/mkvdv/ceil2_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/mkvdv/ceil2_lunglow.tga
	qer_editorimage textures/mkvdv/ceil2_lun.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/ceil2_lun_5k
{
	surfaceparm nodlight
	q3map_surfacelight 5000
	q3map_lightimage textures/mkvdv/ceil2_lunglow.tga
	qer_editorimage textures/mkvdv/ceil2_lun.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/ceil2_lun_1k
{
	surfaceparm nodlight
	q3map_surfacelight 1000
	q3map_lightimage textures/mkvdv/ceil2_lunglow.tga
	qer_editorimage textures/mkvdv/ceil2_lun.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/jaildrblue
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_lightimage textures/mkvdv/jaildrpulse1.tga
	q3map_surfacelight 900
	q3map_lightsubdivide 32
	{
		map textures/mkvdv/jaildr.tga
		rgbGen identity
	}
	{
		map textures/mkvdv/jaildrglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
}

//------------------------------------------------------------
// Lunbase teleport shader, getting some mileage this one ;-)
//------------------------------------------------------------
textures/mkvdv/teleport
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 750
	tesssize 64
	{
		map textures/mkvdv/teleport.tga
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
	}
	{
		map textures/mkvdv/teleport.tga
		tcMod scroll 0.01 -0.5
		tcMod turb 0 .12 0 0.333
		blendFunc GL_ONE GL_ONE
	}
}

//------------------------------
// Lundoom white light fixtures
//------------------------------
textures/mkvdv/ceilwhite1_10k
{
	qer_editorimage textures/mkvdv/ceilwhite1.tga
	q3map_lightimage textures/mkvdv/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mkvdv/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/ceilwhite1_5k
{
	qer_editorimage textures/mkvdv/ceilwhite1.tga
	q3map_lightimage textures/mkvdv/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mkvdv/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/ceilwhite1_1k
{
	qer_editorimage textures/mkvdv/ceilwhite1.tga
	q3map_lightimage textures/mkvdv/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mkvdv/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/lite1_2000
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	qer_editorimage textures/mkvdv/lite1.tga
	{
		map textures/mkvdv/lite1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 1 0.1 0 0.25
		rgbGen wave sin 1 0.1 0 0.75
	}
}

//-----------------
// Lundoom shaders
//-----------------
textures/mkvdv/dmetsupport1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/dmetsupport1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/lightl_1k
{
	qer_editorimage textures/mkvdv/llight5.tga
	q3map_lightimage textures/mkvdv/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mkvdv/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/lightl_2k
{
	qer_editorimage textures/mkvdv/llight5.tga
	q3map_lightimage textures/mkvdv/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mkvdv/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/metglu
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metglu.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

//-----------------------------------
// Nonsolid metal texture for arches
//-----------------------------------
textures/mkvdv/concrete0dark_nonsolid
{
	surfaceparm nonsolid
	qer_editorimage textures/mkvdv/concrete0dark.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/concrete0dark.tga
		rgbGen identity
	}
}

//----------------------
// Lundoom metal panels
//----------------------
textures/mkvdv/metpan1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/metpan2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

//-----------------------------
// nonsolid version for arches
//-----------------------------
textures/mkvdv/metpan2_nonsolid
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	qer_editorimage textures/mkvdv/metpan2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/metpan3
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan3.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/metpan4
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan4.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/metpan5
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan5.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}	
}

textures/mkvdv/metpan_caution
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan_caution.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/metpan_caution2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan_caution2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
}

textures/mkvdv/metpan_lite1_2000
{
	q3map_surfacelight 2000
	qer_editorimage textures/mkvdv/metpan_lite1.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/metpan_lite1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen lightingSpecular
	}
	{
		map textures/mkvdv/metpan_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 1 0.1 0 0.25
		rgbGen wave sin 1 0.1 0 0.75
	}
}

//---------------------------------------------
// Nice shiny slime shader by Willi Hammes :-)
// http://www.3dluvr.com/willi
//---------------------------------------------
textures/mkvdv/mk_nukeage
{
	qer_editorimage textures/mkvdv/slime_02.tga
	q3map_lightimage textures/mkvdv/slime_02.tga
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	cull disable
	deformVertexes wave 70 sin 1 1 0.5 0.5 
	tessSize 48
	qer_trans 0.5
	q3map_surfacelight 100
	q3map_globaltexture
	{
		map textures/mkvdv/slime_01.tga
		rgbGen identity
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/mkvdv/slime_01.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/mkvdv/slime_02.tga
		blendfunc filter
		rgbGen identity
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.1 0.1
		tcMod scroll 0.001 0.001
	}
	{
		map textures/mkvdv/slime_ref01.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
}

//--------------------------
// Lundoom computer shaders
//--------------------------
textures/mkvdv/q1comp4
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mkvdv/q1comp4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mkvdv/q1comp4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.15 0 0.5
	}
}

textures/mkvdv/q1comp6scroll
{
	qer_editorimage textures/mkvdv/q1comp6.tga
	{
		map textures/mkvdv/q1comp6scroll.tga
		tcmod scroll 0 -0.5
		rgbGen identity
	}
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mkvdv/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/q1comp6fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mkvdv/q1comp6neb
{
	qer_editorimage textures/mkvdv/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mkvdv/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/q1comp6fx6.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/q1comp6map
{
	qer_editorimage textures/mkvdv/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mkvdv/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/q1comp6fx4.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mkvdv/q1comp6qmap
{
	qer_editorimage textures/mkvdv/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mkvdv/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/q1comp6fx7.tga
		blendFunc GL_ONE GL_ONE
	}
}

//--------------------------
// Lundoom shiny logo panel
//--------------------------
textures/mkvdv/starb2ashiny
{
	qer_editorimage textures/mkvdv/starb2a.tga
	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mkvdv/starb2a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//--------------------------------------------------------------
// Lundoom teleport textures (abused as bounce pad in MKVDV ;-)
//--------------------------------------------------------------
textures/mkvdv/telefloor
{
	surfaceparm nodamage
	{
		clampmap textures/mkvdv/telefloorfx.tga
		rgbGen identity
		tcMod stretch inversesawtooth 0.1 3 0 .75
	}
	{
		clampmap textures/mkvdv/telefloorfx.tga
		rgbGen identity
		tcMod stretch inversesawtooth 0.1 3 0.5 .75
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/mkvdv/telefloor.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mkvdv/telewalllow
{
	{
		map textures/mkvdv/zoot2.tga
		tcMod scroll 0 -1.5
		rgbGen identity
	}
	{
		map textures/mkvdv/telewalllow.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mkvdv/telewallfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0 0.2
	}
}

//---------------------------
// Lundoom shiny pipe shader
//---------------------------
textures/mkvdv/xpiplun1ashiny
{
	qer_editorimage textures/mkvdv/xpiplun1a.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		tcGen environment
	}
	{
		map textures/mkvdv/xpiplun1a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//---------------------------------------------------
// Nonsolid version to prevent lame pipe camping :-P
//---------------------------------------------------
textures/mkvdv/xpiplun1ashiny_nonsolid
{
	qer_editorimage textures/mkvdv/xpiplun1a.tga
	surfaceparm metalsteps
	surfaceparm nonsolid
	{
		map textures/effects/tinfx.tga
		tcGen environment
	}
	{
		map textures/mkvdv/xpiplun1a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//------------------
// mkvdv fog shader
//------------------
textures/mkvdv/mkvdvfog
{
	qer_editorimage textures/mkvdv/icon_fog.tga
	surfaceparm fog
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
	fogparms ( 0.0216 0.0608 0.1118 ) 150
}

//---------------------
// mkvdv skybox shader
//---------------------
textures/mkvdv/mkvdvsky_75
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/mkvdv/mkvdvsky_lightmap.tga
	q3map_lightimage env/mkvdvsky_lightmap.tga
	q3map_surfacelight 75
	skyparms - 512 -
        skyparms env/mkvdvsky - -
	{
		map textures/mkvdv/mkvdvsky_clouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.02
		tcMod scale 2 2
	}
	{
		map textures/mkvdv/mkvdvsky_clouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.01 0.01
		tcMod scale 1.5 1.5
	}
}

//-------------
// Rock shader
//-------------
textures/mkvdv/mkvdv_rock
{
	qer_editorimage textures/mkvdv/mkvdv_rock_tex.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/mkvdv/mkvdv_rock_tex.tga
		rgbGen Vertex 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}